/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-12
 * 描述            ：材质判定结果集表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmPhyResultMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_PHY_RESULT", namespace=QcmPhyResultMapper.class)
public class QcmPhyResult extends BaseVO implements Serializable {
	/** 
	 * 材质结果集ID（编码规则：PIC+2位年/月/日+4位流水号）
	 */ 
	@Id
	private String phy_id;
	public String getPhy_id() {
		return this.phy_id;
	}
	public void setPhy_id(String phy_id) {
		this.phy_id = phy_id;
	}

	/** 
	 * GUID（取QCM_PHY_RESULT.GUID）
	 */ 
	@Id
	private String guid;
	public String getGuid() {
		return this.guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	/** 
	 * 试样号
	 */ 
	@Column
	private String smp_no;
	public String getSmp_no() {
		return this.smp_no;
	}
	public void setSmp_no(String smp_no) {
		this.smp_no = smp_no;
	}

	/** 
	 * 合同行PK码(CONTRACT_PK+三位流水号)
	 */ 
	@Column
	private String contract_line_no;
	public String getContract_line_no() {
		return this.contract_line_no;
	}
	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	/** 
	 * 炉号
	 */ 
	@Column
	private String heat_no;
	public String getHeat_no() {
		return this.heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	/** 
	 * 轧批号
	 */ 
	@Column
	private String batch_no;
	public String getBatch_no() {
		return this.batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	/** 
	 * 检验号
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}

	/** 
	 * 材料号
	 */ 
	@Column
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}


	/** 
	 * 材质检验项代码（大类）
	 */ 
	@Column
	private String phy_code_l;
	public String getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	/** 
	 * 材质检验项名称（大类）
	 */ 
	@Column
	private String phy_name_l;
	public String getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	/** 
	 * 试样组代码
	 */ 
	@Column
	private String phy_code_m;
	public String getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组描述
	 */ 
	@Column
	private String phy_name_m;
	public String getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 材质检验项代码
	 */ 
	@Column
	private String phy_code_s;
	public String getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 材质检验项名称
	 */ 
	@Column
	private String phy_name_s;
	public String getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 试验方向代码
	 */ 
	@Column
	private String item_code_d;
	public String getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 试验方向描述
	 */ 
	@Column
	private String item_name_d;
	public String getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	/** 
	 * 试验温度代码
	 */ 
	@Column
	private String item_code_t;
	public String getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试验温度描述
	 */ 
	@Column
	private String item_name_t;
	public String getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	/** 
	 * 试样尺寸代码
	 */ 
	@Column
	private String item_code_s;
	public String getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 试样尺寸描述
	 */ 
	@Column
	private String item_name_s;
	public String getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	/** 
	 * 值1
	 */ 
	@Column
	private String val1;
	public String getVal1() {
		return this.val1;
	}
	public void setVal1(String val1) {
		this.val1 = val1;
	}

	/** 
	 * 值2
	 */ 
	@Column
	private String val2;
	public String getVal2() {
		return this.val2;
	}
	public void setVal2(String val2) {
		this.val2 = val2;
	}

	/** 
	 * 值3
	 */ 
	@Column
	private String val3;
	public String getVal3() {
		return this.val3;
	}
	public void setVal3(String val3) {
		this.val3 = val3;
	}

	/** 
	 * 优先级
	 */ 
	@Column
	private Long pri;
	public Long getPri() {
		return this.pri;
	}
	public void setPri(Long pri) {
		this.pri = pri;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
